# Class TimeSpan

java.lang.Object
org.daypilot.date.TimeSpan

public class TimeSpan extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeSpan(long ticks)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TimeSpan`
  `add(TimeSpan span)`
  `static TimeSpan`
  `fromDays(int days)`
  `static TimeSpan`
  `fromHours(int hours)`
  `static TimeSpan`
  `fromMinutes(int minutes)`
  `String`
  `getDayHourMinuteString()`
  `long`
  `getDays()`
  `String`
  `getHourMinuteString()`
  `long`
  `getHours()`
  `long`
  `getMilliSeconds()`
  `long`
  `getMinutes()`
  `long`
  `getSeconds()`
  `long`
  `getTicks()`
  `double`
  `getTotalDays()`
  `double`
  `getTotalHours()`
  `long`
  `getTotalMilliseconds()`
  `double`
  `getTotalMinutes()`
  `double`
  `getTotalSeconds()`
  `boolean`
  `isZero()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TimeSpan

    public TimeSpan(long ticks)

- ## Method Details

  - ### fromMinutes

    public static TimeSpan fromMinutes(int minutes)

  - ### fromHours

    public static TimeSpan fromHours(int hours)

  - ### isZero

    public boolean isZero()

  - ### getTotalDays

    public double getTotalDays()

  - ### getDays

    public long getDays()

  - ### getTotalHours

    public double getTotalHours()

  - ### getHours

    public long getHours()

  - ### getTotalMinutes

    public double getTotalMinutes()

  - ### getMinutes

    public long getMinutes()

  - ### getTotalSeconds

    public double getTotalSeconds()

  - ### getSeconds

    public long getSeconds()

  - ### getTotalMilliseconds

    public long getTotalMilliseconds()

  - ### getMilliSeconds

    public long getMilliSeconds()

  - ### getTicks

    public long getTicks()

  - ### fromDays

    public static TimeSpan fromDays(int days)

  - ### add

    public TimeSpan add(TimeSpan span)

  - ### getDayHourMinuteString

    public String getDayHourMinuteString()

  - ### getHourMinuteString

    public String getHourMinuteString()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`